bkisofs Usage and Reference Manual
<<< Previous |  | Next >>>

# Function Reference

In this chapter I describe the available bk functions. They are presented in such an order that you can read the chapter sequencially and make use of each function as you go, in the end having full ISO read/write support. You don't have to make use of all the functions of course. For example if bootable ISOs aren't interesting to you - you can sefely ignore the boot functions.

# Setup

## `bk_init_vol_info()`

``int `bk_init_vol_info``(VolInfo* `volInfo`, bool `scanForDuplicateFiles`);`

This is the first function you need to call - whether you're reading an ISO or creating one from scratch. The first parameter (`volInfo`) is the address of a variable of type `VolInfo` which you declare somewhere in your program. It is safe to use bk to work on more than one ISO at the same time, since all the functions take a `VolInfo*` as a parameter, so you would have one `VolInfo` per ISO.

<<< Previous | Home | Next >>>
Missing Features |  | Reading